Package com.smartgwt.client.types

# Enum ContentLayoutPolicy

java.lang.Object
java.lang.Enum<ContentLayoutPolicy>
com.smartgwt.client.types.ContentLayoutPolicy

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<ContentLayoutPolicy>`, `Constable`

public enum ContentLayoutPolicy extends Enum<ContentLayoutPolicy> implements ValueEnum
Policy controlling how the window will manage content within its body.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `HORIZONTAL`
  Window body defaults to HLayout behavior.
  `NONE`
  Window does not try to size members at all on either axis.
  `VERTICAL`
  Window body defaults to VLayout behavior.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static ContentLayoutPolicy`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ContentLayoutPolicy[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final ContentLayoutPolicy NONE
    Window does not try to size members at all on either axis. Window body defaults to a Canvas if not autosizing. Otherwise a Layout is used with policies on both axes set to `LayoutPolicy` "none".

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "none".

  - ### VERTICAL

    public static final ContentLayoutPolicy VERTICAL
    Window body defaults to VLayout behavior. (Body is actually just a Layout with `Layout.vertical`: true.)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "vertical".

  - ### HORIZONTAL

    public static final ContentLayoutPolicy HORIZONTAL
    Window body defaults to HLayout behavior. (Body is actually just a Layout with `Layout.vertical`: false.)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "horizontal".

- ## Method Details

  - ### values

    public static ContentLayoutPolicy[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ContentLayoutPolicy valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`